<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateDreamImagesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('dream_images', function (Blueprint $table) {
            $table->increments('id')->comment('id');
            $table->integer('dream_id')->comment('梦想id');
            $table->string('title')->default('')->comment('图片描述');
            $table->string('pic')->default('')->comment('图片地址');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('dream_images');
    }
}
